[![Build Status](https://travis-ci.org/44r0n/skeleton-styled.svg?branch=master)](https://travis-ci.org/44r0n/skeleton-styled)
[![Dependabot Status](https://api.dependabot.com/badges/status?host=github&repo=44r0n/skeleton-styled)](https://dependabot.com)
[![PRs welcome](https://img.shields.io/badge/pull_requests-welcome-brightgreen.svg)](http://makeapullrequest.com/)
[![Contributions welcome](https://img.shields.io/badge/contributions-welcome-brightgreen.svg)](https://github.com/44r0n/skeleton-styled/issues)
[![npm](https://img.shields.io/npm/v/skeleton-styled.svg)](https://www.npmjs.com/package/skeleton-styled)
[![GitHub tag (latest SemVer)](https://img.shields.io/github/tag/44r0n/skeleton-styled.svg)](https://github.com/44r0n/skeleton-styled)
![npm](https://img.shields.io/npm/dt/skeleton-styled.svg)

---

# skeleton-styled 1.0.0

skeleton-styled is a fork of [skeleton-flexbox](https://github.com/andreobriennz/skeleton-flexbox). Basically is the same skeleton with flexbox added and more styles. Just a step forward to a framework trying to keep the css lightweight. 

[Demo](https://44r0n.github.io/skeleton-styled/).

## Getting Started

Check the actual release. Get `skeleton-styled.css` for developing purpose and `skeleton-styled.min.css` for production prupose.
If you want the `javascript` features, get `skeleton-styled.js` for developing purpose and `skeleton-styled.min.js` for production prupose.

### Installing

Copy `skeleton-styled.css` or `skeleton-styled.min.css` file to your css project folder and reference it from your html files.
Also, if you want the `javascript` features, copy `skeleton-styled.js` or `skeleton-styled.min.css` file to your javascript project folder and reference it.

~~~html
<link rel="stylesheet" href="css/skeleton-styled.min.css">
<script src="javascript/skeleton-styled.min.js"></script>
~~~

### Install with NPM

`npm install skeleton-styled`

### Delevop purpose

`npm` is needed for delevopment.

1. `git clone https://github.com/44r0n/skeleton-styled.git`
2. `npm i`
3. `npm run gulp build` for a single build, or `npm run gulp` for auto-build when a file changes.

## Documentation

For documentation on using Flexbox-Grid: http://flexboxgrid.com

For documentation on using Skeleton: http://getskeleton.com

Gulp setup based on: simple-gulp-setup (https://github.com/andreobriennz/simple-gulp-setup)

## Built with
- Skeleton-flexbox(https://github.com/andreobriennz/skeleton-flexbox)
- Skeleton (http://getskeleton.com/)
- Flexbox-Grid (https://github.com/kristoferjoseph/flexboxgrid)
- Normalize 8.0.0 (https://necolas.github.io/normalize.css/)
- Fontawesome 5.3.1 (https://fontawesome.com/)

## Contributing

Please read [CONTRIBUTING.md](https://gist.github.com/PurpleBooth/b24679402957c63ec426) for details on our code of conduct, and the process for submitting pull requests to us.

## Versioning

We use [SemVer](http://semver.org/) for versioning. For the versions available, see the [releases on this repository](https://github.com/44r0n/skeleton-styled/releases). 

## Authors

* **[Dave Gamache](https://twitter.com/dhg)** - *Initial work* - [skeleton](https://github.com/dhg/Skeleton)
* **Andre O'Brien** - *Add flexbox* - [skeleton-flexbox](https://github.com/andreobriennz/skeleton-flexbox)
* **Aarón Sánchez** - *Adding styles*

## License

This project is licensed under the MIT License - see the [LICENSE.md](LICENSE.md) file for details

